Name:     kibana
Version:  4.6.1
Release:  1.0.1%{?dist}
Summary:  Explore & Visualize Your Data
Group:    Applications/Internet
License:  ASL 2.0
URL:      https://www.elastic.co/products/%{name}
Source0:  https://download.elasticsearch.org/%{name}/%{name}/%{name}-%{version}-linux-x86_64.tar.gz
Source1:  kibana-sysconfig
Source2:  kibana-logrotate
Source3:  kibana.service
Source4:  kibana-init
Source5:  kibana-default
BuildRequires: systemd
Provides: kibana 
%{?systemd_requires}

%description
Explore & Visualize Your Data

%prep
%setup -q -n %{name}-%{version}-linux-x86_64

%build
true

%install
rm -rf $RPM_BUILD_ROOT

%{__mkdir} -p %{buildroot}/var/lib/kibana

# config #TODO
%{__mkdir} -p %{buildroot}%{_sysconfdir}/kibana
%{__install} -m 644 config/kibana.yml %{buildroot}%{_sysconfdir}/%{name}/

# sysconfig
%{__mkdir} -p %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/kibana

# logs
%{__mkdir} -p %{buildroot}%{_localstatedir}/log/%{name}
%{__install} -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/kibana

# systemd
%{__mkdir} -p %{buildroot}%{_unitdir}
%{__install} -D -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/kibana.service

# init.d
%{__mkdir} -p %{buildroot}%{_sysconfdir}/init.d
%{__install} -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/init.d/kibana

# default
%{__mkdir} -p %{buildroot}%{_sysconfdir}/default
%{__install} -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/default/kibana

# sources
%{__mkdir} -p %{buildroot}/opt/%{name}
%{__cp} -r {bin,config,installedPlugins,node,node_modules,webpackShims,optimize,src,LICENSE.txt,README.txt,package.json} %{buildroot}/opt/%{name}/

%files
%defattr(-,root,root,-)
%dir %attr(0755, kibana, kibana) "/var/log/kibana"
%dir %attr(0755, kibana, kibana) "/var/lib/kibana"
%dir %config(noreplace) "/%{_sysconfdir}/sysconfig"
%dir %config(noreplace) "/%{_sysconfdir}/kibana"
%config(noreplace) "/%{_sysconfdir}/sysconfig/kibana"
%config(noreplace) "/%{_sysconfdir}/kibana/kibana.yml"
%config(noreplace) "/%{_sysconfdir}/logrotate.d/kibana"
%config(noreplace) "/%{_sysconfdir}/init.d/kibana"
%config(noreplace) "/%{_sysconfdir}/default/kibana"
/%{_unitdir}/kibana.service
%ghost "/var/run/kibana.pid"
%doc "/opt/kibana/LICENSE.txt"
%doc "/opt/kibana/README.txt"
%attr(0644, kibana, kibana) /opt/kibana/package.json
%attr(0755, kibana, kibana) /opt/kibana/bin
%attr(0755, kibana, kibana) /opt/kibana/installedPlugins
%attr(0755, kibana, kibana) /opt/kibana/src
%attr(0755, kibana, kibana) /opt/kibana/node_modules
%attr(0755, kibana, kibana) /opt/kibana/node
%attr(0755, kibana, kibana) /opt/kibana/config
%attr(0755, kibana, kibana) /opt/kibana/webpackShims
%attr(0755, kibana, kibana) /opt/kibana/optimize


%pre -p /bin/sh
getent group kibana >/dev/null || groupadd -r kibana
getent passwd kibana >/dev/null || \
  useradd -r -g kibana -d /usr/share/kibana -s /sbin/nologin \
  -c "Kibana User" kibana

%post -p /bin/sh
%systemd_post kibana.service
# This should get triggered by the previous line
#[ -f /etc/sysconfig/kibana ] && . /etc/sysconfig/kibana
#/bin/systemctl start kibana.service

%preun
%systemd_preun kibana.service

%postun -p /bin/sh
%systemd_postun_with_restart kibana.service 
# only execute in case of package removal, not on upgrade
if [ $1 -eq 0 ] ; then
  getent passwd kibana > /dev/null
  if [ "$?" == "0" ] ; then
    userdel kibana
  fi

  getent group kibana >/dev/null
  if [ "$?" == "0" ] ; then
    groupdel kibana
  fi
fi

exit


%changelog
* Wed Feb 8 2017 Tianyue Lan <tianyue.lan@oracle.com> - 4.6.1-1.0.1
- Drop nodejs requirement [bug 24802707]

* Tue Oct 18 2016 Livy Ge <livy.ge@oracle.com> - 4.6.1-1
- Include upstream 4.6.1
